package kiotviet

const (
	apiPathListBranches       = "/branches"
	apiPathListProductOnHands = "/productOnHands"
	apiPathListWebhook        = "/webhooks"
	apiPathRegisterWebhook    = "/webhooks"
	apiPathUnregisterWebhook  = "/webhooks/%d" // %s -> webhook id

	apiPathAuth = "/connect/token"
)

const (
	baseURLProd      = "https://public.kiotapi.com"
	baseURLTokenProd = "https://id.kiotviet.vn"
)

const (
	WebhookTypeCustomerUpdate = "customer.update"
	WebhookTypeCustomerDelete = "customer.delete"
	WebhookTypeProductUpdate  = "product.update"
	WebhookTypeProductDelete  = "product.delete"
	WebhookTypeStockUpdate    = "stock.update"
	WebhookTypeOrderUpdate    = "order.update"
	WebhookTypeInvoiceUpdate  = "invoice.update"
)
